package enum

// EggEnergyUserEggScoreEsKind 蛋蛋分属性类型
type EggEnergyUserEggScoreEsKind int

const (
	ScoreValue = iota + 1
	ScoreValueKind
	Ecpm
	InviteUserNums
	TeamActivityNums
	SignInNums
	ImActivityNums
	SendRedPackageNums
	EsEggEnergyExchangeAccountBalance
	AccountBalanceExchangeEggEnergyNums
	SendCircleOfFriendNums
	ForumCommentsNums
	CollegeLearningNums
	ViolateNums
	BrowseInterfaceNums
	PersonAddActivityValue
)

func (kind EggEnergyUserEggScoreEsKind) String() string {
	switch kind {
	case ScoreValue:
		return "蛋蛋分"
	case ScoreValueKind:
		return "蛋蛋分类型"
	case Ecpm:
		return "Ecpm"
	case InviteUserNums:
		return "拉新人数"
	case TeamActivityNums:
		return "团队活跃次数"
	case SignInNums:
		return "签到次数"
	case ImActivityNums:
		return "im活跃次数"
	case SendRedPackageNums:
		return "发红包次数"
	case EsEggEnergyExchangeAccountBalance:
		return "蛋蛋能量兑换余额数量"
	case AccountBalanceExchangeEggEnergyNums:
		return "余额兑换蛋蛋能量数量"
	case SendCircleOfFriendNums:
		return "发朋友圈次数"
	case ForumCommentsNums:
		return "论坛评论次数"
	case CollegeLearningNums:
		return "学院学习次数"
	case ViolateNums:
		return "违规次数"
	case BrowseInterfaceNums:
		return "浏览界面次数"
	case PersonAddActivityValue:
		return "个人活跃积分"
	default:
		return "未知项目"
	}
}
